#!/bin/sh

# delete PupControl key binding (Ctrl+Shift+C) in $HOME/.icewm/keys
if [ "`ls $HOME/.icewm/keys`" ]; then sed '/key "Ctrl+Shift+c"		PupControl/d' $HOME/.icewm/keys > tmpfile ; mv -f tmpfile $HOME/.icewm/keys
	fi

# delete PupControl key binding (Ctrl+Shift+C) in $HOME/.config/openbox/lxde-rc.xml
if [ "`ls $HOME/.config/openbox/lxde-rc.xml`" ]; then sed '/    <keybind key=\"C-S-c\">/,/    <\/keybind>/ d' $HOME/.config/openbox/lxde-rc.xml > tmpfile ; mv -f tmpfile $HOME/.config/openbox/lxde-rc.xml
	fi

# delete PupControl key binding (Ctrl+Shift+C) in $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
if [ "`ls $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml`" ]; then
sed '/      <property name=\"&lt;Shift&gt;&lt;Control&gt;c\" type=\"string\" value=\"PupControl\"\/>/d' $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml > tmpfile ; mv -f tmpfile $HOME/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
	fi

# delete PupControl key binding (Ctrl+Shift+C) in $HOME/.jwm/jwmrc-personal
if [ "`ls $HOME/.jwm/jwmrc-personal`" ]; then sed '/<Key mask="CS" key="c">exec:PupControl<\/Key>/d' $HOME/.jwm/jwmrc-personal > tmpfile ; mv -f tmpfile $HOME/.jwm/jwmrc-personal
	fi
# restore original $HOME/.jwmrc-tray ##version before PupControl
cp -f $HOME/.jwmrc-tray-bak $HOME/.jwmrc-tray

# invoke Puppy Package Manager to remove PupControl
exec /usr/local/petget/pkg_chooser.sh
